Bug 221344 - [NEW PORT] audio/midi-matrix-lv2: LV2 'Midi Matrix' plugin bundle: 'Channel Filter'
Summary: [NEW PORT] audio/midi-matrix-lv2: LV2 'Midi Matrix' plugin bundle: 'Channel F...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-08 18:34 UTC by Yuri Victorovich
Modified: 2017-08-17 20:10 UTC (History)
1 user (show)

See Also:


Attachments
shar (3.38 KB, text/plain)
2017-08-08 18:34 UTC, Yuri Victorovich
no flags Details
shar (3.38 KB, text/plain)
2017-08-11 05:33 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-08-08 18:34:29 UTC
Created attachment 185163 [details]
shar

QAs:
* pourdriere 11.1 amd64
* portlint
Comment 1 Yuri Victorovich freebsd_committer 2017-08-11 05:33:48 UTC
Created attachment 185259 [details]
shar
Comment 2 Richard Gallamore freebsd_committer 2017-08-17 06:22:48 UTC
Looks good, one thing I want to add is CMAKE_ARGS= -DCMAKE_BUILD_TYPE="Release" is redundant with USES= cmake. Also, you can simply define the option DEBUG and to make the option BUILD_TYPE Debug. I didn't add this as it is not always desired.
Comment 3 Yuri Victorovich freebsd_committer 2017-08-17 06:42:57 UTC
Could you just delete CMAKE_ARGS= -DCMAKE_BUILD_TYPE="Release" and commit please?
Comment 4 Richard Gallamore freebsd_committer 2017-08-17 06:45:09 UTC
(In reply to Yuri Victorovich from comment #3)
Yes, have already done this, just waiting for approval from my mentor.
Comment 5 commit-hook freebsd_committer 2017-08-17 19:51:18 UTC
A commit references this bug:

Author: ultima
Date: Thu Aug 17 19:50:27 UTC 2017
New revision: 448183
URL: https://svnweb.freebsd.org/changeset/ports/448183

Log:
  The Midi Matrix (Channel Filter) is a 3-in-1 filter plugin with a simple UI
  enabling you to easily accomplish:

  * MIDI channel filtering (e.g. blocking of specific channels)
  * MIDI channel multiplication (e.g. send events from channel X to channels X, Y and Z)
  * MIDI channel rerouting (e.g send events from channel X to channel Y)
  * And any possible combination thereof

  WWW: http://open-music-kontrollers.ch/lv2/midi_matrix

  PR:		221344
  Submitted by:	Yuri Victorovich (maintainer)
  Reviewed by:	matthew (mentor)
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D12060

Changes:
  head/audio/Makefile
  head/audio/midi-matrix-lv2/
  head/audio/midi-matrix-lv2/Makefile
  head/audio/midi-matrix-lv2/distinfo
  head/audio/midi-matrix-lv2/files/
  head/audio/midi-matrix-lv2/files/patch-pugl_pugl_pugl__x11.c
  head/audio/midi-matrix-lv2/pkg-descr
  head/audio/midi-matrix-lv2/pkg-plist
Comment 6 Richard Gallamore freebsd_committer 2017-08-17 20:10:00 UTC
Committed, thanks!